#!/bin/sh

. ./commons.sh

sh ./clean.sh ||die "Could not perform cleanup."
sh ./prepareCordova.sh $1 ||die "Could not prepare initial Cordova setup."
sh ./mavenizeCordovaLib.sh $1 ||die "Could not mavenize the CordovaLib."
sh ./prepareHelloWorldProject.sh $1  ||die "Could not prepare the HelloWorldProject."
sh ./mavenizeHelloWorldProject.sh $1 ||die "Could not mavenzize the HelloWorldProject."


mvn clean install -P milestone.build -f ../projects/CordovaLib/pom.xml ||die "Could not build the CordovaLib with maven."
mvn clean install -P milestone.build -f ../projects/HelloWorld/pom.xml ||die "Could not build the HelloWorldProject with maven."

echo "[INFO] Done, OK."
