#!/bin/sh

WORK_DIR=../work
PROJECTS_DIR=../projects


HELLO_WORLD_PROJECT_DIR=HelloWorld

function die {
  local message=$1
  echo "${message}"
  exit 1
}

function createEmptyDirectory {

  local dir=$1

  if [ -d ${dir} ];then
    rm -rf ${dir} ||die "[ERROR] Could not delete directory ${dir}."
    echo "[INFO] Deleting existing directory ${dir}."
  fi

  mkdir -p ${dir} ||die "Could not create directory ${dir}"
 
  echo "[INFO] Directory ${dir} created."
}
