#!/bin/sh

. ./commons.sh

CORDOVA_VERSION=$1

if [ -z "${CORDOVA_VERSION}" ];then
  die "Cordova version has not been provided."
fi

PROJECT_DIR=${PROJECTS_DIR}/${HELLO_WORLD_PROJECT_DIR}

createEmptyDirectory ${PROJECT_DIR}/src/xcode
mv ${PROJECT_DIR}/cordova/ ${PROJECT_DIR}/CordovaLib/ ${PROJECT_DIR}/HelloWorld/ ${PROJECT_DIR}/HelloWorld.xcodeproj ${PROJECT_DIR}/www/ ${PROJECT_DIR}/src/xcode

cat resources/HelloWorld-pom.xml |sed "s/\${CORDOVA_VERSION}/${CORDOVA_VERSION}/g" > ${PROJECT_DIR}/pom.xml
cp resources/HelloWorld-project.pbxproj ${PROJECT_DIR}/src/xcode/HelloWorld.xcodeproj/project.pbxproj

rm -rf ${PROJECT_DIR}/src/xcode/CordovaLib ||die "[ERROR] Could not remove nested project CordovaLib."
