#!/bin/sh

. ./commons.sh

CORDOVA_VERSION=$1

if [ -z "${CORDOVA_VERSION}" ];then
  die "Cordova version has not been provided."
fi

CURRENT_DIR=`pwd`

PROJECT_DIR=${PROJECTS_DIR}/${HELLO_WORLD_PROJECT_DIR}

createEmptyDirectory ${PROJECT_DIR}

${WORK_DIR}/cordova-${CORDOVA_VERSION}/bin/create ${PROJECT_DIR} org.apache.cordova.HelloWorld HelloWorld

echo "[INFO] HelloWorld project created inside ${CURRENT_DIR}/${PROJECT_DIR}"
